summaryrefslogtreecommitdiffstats
path: root/emacs-git/emacs-git.install
diff options
context:
space:
mode:
authorGravatar Tom Willemse2014-11-15 13:56:41 +0100
committerGravatar Tom Willemse2014-11-15 13:56:41 +0100
commit8cb9f192d3835471a7c6a5ee64112fbba2f9fc65 (patch)
tree3351ff72f7ec70d6b474a3202d2bc7b0a41043c4 /emacs-git/emacs-git.install
parent08655112ff5f57bc3a35881d89094da8ac3c6396 (diff)
downloadpkgbuilds-8cb9f192d3835471a7c6a5ee64112fbba2f9fc65.tar.gz
pkgbuilds-8cb9f192d3835471a7c6a5ee64112fbba2f9fc65.zip
Rename emacs-bzr to emacs-git
Use the new official git repository instead of the old bzr repository.
Diffstat (limited to 'emacs-git/emacs-git.install')
-rw-r--r--emacs-git/emacs-git.install32
1 files changed, 32 insertions, 0 deletions
diff --git a/emacs-git/emacs-git.install b/emacs-git/emacs-git.install
new file mode 100644
index 0000000..35d11bd
--- /dev/null
+++ b/emacs-git/emacs-git.install
@@ -0,0 +1,32 @@
+ICON_PATH=/usr/share/icons/hicolor
+INFO_DIR=/usr/share/info
+
+INFO_FILES=(ada-mode auth autotype calc ccmode cl dbus dired-x ebrowse
+ede ediff edt efaq eieio eintr elisp emacs emacs-mime epa erc ert eshell
+eudc flymake forms gnus idlwave mairix-el message mh-e newsticker
+nxml-mode org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses
+sieve smtpmail speedbar tramp url vip viper widget woman)
+
+post_install() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x /usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x /usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info --delete ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}